Community
cancel
Showing results for 
Search instead for 
Did you mean: 
JohnNichols
Valued Contributor II
381 Views

LINK Grammar Library

I would like to use the LINK Grammar library with INTEL C++. The program comes with a VS 2019 SLN, but I keep getting an error that the lin-grammar-x86.lib does not exist. 

I enclose the package as a zip file. 

The original version is set up a VC142 program but I can change it to Intel Compiler, which is what I want to use, but when I follow the instructions - I get a missing library.  I have read all of the web site offerings and the stuff included with the ZIP file.  

It is clearly written for LINUX, of course some people do not use much linux. 

Any thoughts would be appreciated. 

JMN 

- Compiling and running got checked on Windows 10, but is intended to be
compatible to Vista and on (XP is not supported).

- To compile LinkGrammar, open the solution file LinkGrammar.sln, change
the solution platform to x64 if desired, and build.

- The solution configuration is configured to create a debug version by
default. It's probably a good idea to switch a "Release" configuration.
You can do this at **Build Menu->Configuration Manager**.

- The wordgraph-display feature is enabled when compiled with
USE_WORDGRAPH_DISPLAY (already defined in the `LGlib-features` property sheet
- **Common properties->C/User Macros/DEFS**).

- By default, the library is configured to create a DLL. If you want
to instead build a static library, the macro LINK_GRAMMAR_STATIC must
be defined before the inclusion of any header files for both the compiling
of the link-grammar library and for the application that uses it. Other
compiler settings will also have to be changed to create a static library
of course.

0 Kudos
8 Replies
PrasanthD_intel
Moderator
365 Views

Hi John,


The error seems like a linking issue and the "link-grammar-x86.lib" in not being generated/found and hence during linking you are getting does not exist error.

Could you please make sure that you have installed all the necessary dependencies and set the required environment variable as mentioned in the MSVC readme file.

Are you getting this lib does not exist error even while using other compilers like MSVC?

Please check once and tell us if you are getting the same error after all the dependencies are met and if intel compiler is causing any error.


Regards

Prasanth


JohnNichols
Valued Contributor II
355 Views

It appears that Intel C++ 19 does not work with VS 2019 Preview -- I get weird error messages, am I stuck  with 2017 - it does not give the errors.

Viet_H_Intel
Moderator
351 Views

What Intel C++ 19 version you are using? It is recommended to use the VS versions which released prior to the Intel compiler built date.

Thanks,


JohnNichols
Valued Contributor II
343 Views

I am using the C++ 19.1 compiler, which I hope and trust is the latest one. 

There are two versions of the link grammar programme, the current one from 2017 that simply will not compile on VS 2017, as I solve each problem a new one appears.  The program has a number of issues and my life is to short to deal with them. 

There is the 2005 version from Carnegie Mellon that I now have running, which took about 30 minutes instead of a wasted day.  It is running on VS 2017 if I move to VS 2019 preview I get the following errors, which clearly make no sense to me. 

But I am happy with the old program, it should suffice and it runs.  Now to do what any sensible chap would do - call the library from Fortran. 

Capture.GIF

Viet_H_Intel
Moderator
340 Views

Assume that you are using 19.1 Update 2 (built on July-1-2020) and VS2019 Preview 3 (Released Sept-1-2020), we won't be able to validate VS version if it is released after our built date.


If you move to VS2019 (e.g. 16.0.15 released on Jun-09-2020), will your program compile/link successfully with Microsoft compiler? And when you switch to Intel 19.1 compiler, you see some built issues?


Thanks,


JohnNichols
Valued Contributor II
334 Views

I moved to VS 2017 and the 2005 version is running - the 2017 version from the later developers is an interesting mess of stuff - I am happy to run with the 2005. 

Thanks 

 

ampli
Beginner
240 Views

Please note that the 2020 version 5.8.0 is very much improved over the 2005 version.

(I'm one of the developers of the current version.)

1. It runs hundreds of times faster on a typical sentence mix, and thousands of times faster on much longer than average sentences.

2.  Its English dictionary has vast improvements.

3.  A large number of bugs have been fixed.

4. It has many more features.

5. It is also actively maintained.

6. It has a mailing list, to which you can send general and usage questions.

7. You can send bug reports to https://github.com/opencog/link-grammar and they will get fixed in a timely manner.  If you have fixes, you are welcome to send them too.

8. It has Python, Java, and Javascript bindings.

9. It is supported on Linux, BSD, macOS, and Windows 10 (MSVS, Cygwin, and MinGW). If you encounter compilation problems on these platforms, you can get help.

I validated the proper compilation and working of version 5.8.0 on Windows 10 with VS 2019.  I can provide help if you encounter any problem with that.

I may consider adding support for the Intel compiler, but I don't have access to it (understood it is a commercial product).

 

Viet_H_Intel
Moderator
318 Views

Thanks for letting us know. Intel will no longer monitor this thread. Please post a new thread if you have further questions/concerns.


Reply